Subject: bug#1298: allow 'emacsclient -a "emacs --daemon && emacsclient -c"'

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 8 Dec 2008 09:09:29 -0800 (PST)

Stefan Monnier <[email-masked]> writes:

  > >> > How about something like:
  > >> > emacsclient --start-daemon
  > >> You mean "emacsclient --start-daemon-if-needed FILENAME" ?
  > >> Yes, probably something like that.  It could potentially be folded into
  > >> the alternate-editor (e.g. if alternate-editor has some special value
  > >> such as the empty string).
  > > How does the patch below look like?
  > 
  > I'd prefer to combine it with --alternate-editor since the two args are
  > mutually exclusive.  Have you tried it and it caused problems?

I didn't quite get what you said... It should probably work, modulo ... 

  > > There's one refinement possible: make --start-daemon-if-needed take an
  > > argument --start-daemon-if-needed=ARG and use it like this:
  > > emacs --daemon=ARG
  > 
  > I think this ARG should automatically be taken from the
  > usual --socket-name argument.

... this: That won't work in the future when we extend --daemon to be able to
specify a TCP port for example: --daemon=FILENAME:TCP_PORT